Subject: RE: Simplifying RFC-2518 Locking: A proposal

From: [email-masked]
Date: Mon, 18 Oct 1999 09:06:31 -0400

<JimW>
A collection can also have a body as its state. This body would be affected
by a lock.
</JimW>
I understand a MKCOL method can include an entity request body, but the use of
that body is not yet defined in WebDAV. I believe the spec says something about
the body being used to create initial members of the collection. I dont remember
anything about a collection having a body. Servers can define what GET on a
collection means, but this (by convention) usually means returning the body of
some distinguished member of the collection, the index page or some such thing.
</jra>

---

From: John Stracke <[email-masked]>
Date: Mon, 18 Oct 1999 11:25:53 -0400

> some distinguished member of the collection, the index page or some such thing.

Yes, and that's the body of the collection.

--
/==============================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.|
|Chief Scientist |=============================================|
|eCal Corp.      |The plural of mongoose is polygoose.         |
[email-masked]|                                             |
\==============================================================/

---

From: "Geoffrey M. Clemm" <[email-masked]>
Date: Wed, 20 Oct 1999 13:57:39 -0400

Two key questions:

- Do we want a lock on a collection to lock the "body" of the collection?

- Does any locking implementation actually do this?

If as Jim Amsden points out, the "body" of a collection is usually just
a reference to some other resource, it would probably be better to
define a lock on a collection as *not* applying to the body of that
collection.

Cheers,
Geoff

   From: John Stracke <[email-masked]>

   <JimW>

   <ja/> I understand a MKCOL method can include an entity request body, but the use of

   <js/> Yes, and that's the body of the collection.